## org.eclipse.datatools.connectivity.oda.design
Interface OutputElementAttributes

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface OutputElementAttributes

extends org.eclipse.emf.ecore.EObject

Common attributes for a data element defined with the output mode.

The following features are supported:

- `Label`
- `Formatting Hints`
- `Help Text`

See Also:
  `DesignPackage.getOutputElementAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`ValueFormatHints` `getFormattingHints()` Returns the value of the 'Formatting Hints' containment reference.
`java.lang.String` `getHelpText()` Returns the value of the 'Help Text' attribute.
`java.lang.String` `getHelpTextKey()` Returns the resource key of the 'Help Text' attribute.
`java.lang.String` `getLabel()` Returns the value of the 'Label' attribute.
`java.lang.String` `getLabelKey()` Returns the resource key of the 'Label' attribute.
`void` `setFormattingHints(ValueFormatHints value)` Sets the value of the '`Formatting Hints`' containment reference.
`void` `setHelpText(java.lang.String value)` Sets the value of the '`Help Text`' attribute.
`void` `setHelpTextKey(java.lang.String value)` Sets the resource key of the '`Help Text`' attribute.
`void` `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
`void` `setLabelKey(java.lang.String value)` Sets the resource key of the '`Label`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getLabel

    java.lang.String getLabel()

  Returns the value of the 'Label' attribute. A free-format string used to identify the data element in a heading, such as a column header. Text can be localized with a resource key.

  Returns:
    the value of the 'Label' attribute.
  See Also:
    `setLabel(String)`, `DesignPackage.getOutputElementAttributes_Label()`, `getLabelKey()`

### setLabel

    void setLabel(java.lang.String value)

  Sets the value of the '`Label`' attribute.

  Parameters:
    `value` - the new value of the 'Label' attribute.
  See Also:
    `getLabel()`, `setLabelKey(String)`

### getLabelKey

    java.lang.String getLabelKey()

  Returns the resource key of the 'Label' attribute.

  Returns:
    the resource key of the 'Label' attribute.
  Since:
    3.2.3
  See Also:
    `setLabelKey(String)`, `getLabel()`, `DataSourceDesign.getResourceFile()`

### setLabelKey

    void setLabelKey(java.lang.String value)

  Sets the resource key of the '`Label`' attribute.

  Parameters:
    `value` - the new resource key of the 'Label' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getLabelKey()`, `setLabel(String)`, `DataSourceDesign.getResourceFile()`

### getFormattingHints

    ValueFormatHints getFormattingHints()

  Returns the value of the 'Formatting Hints' containment reference.

  Returns:
    the value of the 'Formatting Hints' containment reference.
  See Also:
    `setFormattingHints(ValueFormatHints)`, `DesignPackage.getOutputElementAttributes_FormattingHints()`

### setFormattingHints

    void setFormattingHints(ValueFormatHints value)

  Sets the value of the '`Formatting Hints`' containment reference.

  Parameters:
    `value` - the new value of the 'Formatting Hints' containment reference.
  See Also:
    `getFormattingHints()`

### getHelpText

    java.lang.String getHelpText()

  Returns the value of the 'Help Text' attribute. Provides additional information to the user about this data element, such as in a balloon help. Text can be localized with a resource key.

  Returns:
    the value of the 'Help Text' attribute.
  See Also:
    `setHelpText(String)`, `DesignPackage.getOutputElementAttributes_HelpText()`, `getHelpTextKey()`

### setHelpText

    void setHelpText(java.lang.String value)

  Sets the value of the '`Help Text`' attribute.

  Parameters:
    `value` - the new value of the 'Help Text' attribute.
  See Also:
    `getHelpText()`, `setHelpTextKey(String)`

### getHelpTextKey

    java.lang.String getHelpTextKey()

  Returns the resource key of the 'Help Text' attribute.

  Returns:
    the resource key of the 'Help Text' attribute.
  Since:
    3.2.3
  See Also:
    `setHelpTextKey(String)`, `getHelpText()`, `DataSourceDesign.getResourceFile()`

### setHelpTextKey

    void setHelpTextKey(java.lang.String value)

  Sets the resource key of the '`Help Text`' attribute.

  Parameters:
    `value` - the new resource key of the 'Help Text' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getHelpTextKey()`, `setHelpText(String)`, `DataSourceDesign.getResourceFile()`